package com.dummy.core;

import javax.ejb.Stateless;

import com.dummy.api.DummyCounter;

@Stateless(name="CounterManager")
public class CounterManagerImpl implements CounterManager {

  private DummyCounter counter;
  
  public CounterManagerImpl() {
    counter = new DummyCounter();
  }
  
  @Override
  public int getCount() {
    return counter.getCount();
  }

  @Override
  public void incr() {
    counter.setCount(counter.getCount()+1);
  }
}
