package com.dummy.web;

import java.io.Serializable;

import javax.enterprise.context.SessionScoped;
import javax.faces.event.AjaxBehaviorEvent;
import javax.inject.Inject;
import javax.inject.Named;

import com.dummy.core.CounterManager;

@Named
@SessionScoped
public class CounterHandler implements Serializable {

  private static final long serialVersionUID = 1L;
  
  @Inject private CounterManager counterManager;
  
  public int getCount() {
    return counterManager.getCount();
  }
  
  public void increaseCount(AjaxBehaviorEvent e) {
    counterManager.incr();
  }
}
